<?php

namespace App\Entities\Part;

use App\Models\Part\IPModel;

class IPEntity extends PartEntity
{
    const PK = IPModel::PK;
    const TITLE = IPModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    final public function  getLineInfoUID(): int|null
    {
        return $this->attributes['lineinfo_uid'] ?? null;
    }
    final public function  getOldClientInfoUID(): int|null
    {
        return $this->attributes['old_clientinfo_uid'] ?? null;
    }
    //기본기능    
    public function getIP(): string
    {
        return $this->attributes['ip'];
    }
}
